Kubernetes
probe Deployment

# deployment_available_and_healthy

Lookup a deployment state

Run it now
View details

Type | probe
Module | chaosk8s.deployment.probes
Name | deployment_available_and_healthy
Return | bool

Usage

JSON

    {
      "name": "deployment-available-and-healthy",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosk8s.deployment.probes",
        "func": "deployment_available_and_healthy",
        "arguments": {
          "name": ""
        }
      }
    }

YAML

    name: deployment-available-and-healthy
    provider:
      arguments:
        name: ""
      func: deployment_available_and_healthy
      module: chaosk8s.deployment.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string |  | Yes | Name | Name of the deployment
ns | string | ”default” | Yes | Namespace |
label_selector | string | null | No | Label Selector | Use label selector instead of the name
raise_on_unavailable | bool | true | No | Raise if unavailable | Raise when not available, if unchecked returns a boolean

Signature

    def deployment_available_and_healthy(
            name: str,
            ns: str = 'default',
            label_selector: str = None,
            raise_on_unavailable: bool = True,
            secrets: Dict[str, Dict[str, str]] = None) -> Optional[bool]:
        pass

## Related starters

- Kubernetes
  action Deployment

  ## `create_deployment`

  Create a deployment described by a deployment manifest
- Kubernetes
  action Deployment

  ## `scale_deployment`

  Scale a deployment.
- Kubernetes
  action Deployment

  ## `create_deployment`

  Create a deployment described by a deployment manifest